body,
.site-header {
    background: var(--d-dark) !important;
}


.calculator {
    padding: 100px 0 140px;
    background: var(--d-dark);
    position: relative;
}

.calculator::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 693px;
    height: auto;
    aspect-ratio: 693 / 715;
    background: url(https://storage.googleapis.com/dev_resources_voka_io_303011/common/left.webp);
    background-size: cover;
    background-position: center;
}



.calculator::after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    width: 726px;
    height: auto;
    aspect-ratio: 726 / 474;
    background: url(https://storage.googleapis.com/dev_resources_voka_io_303011/common/right.webp);
    background-size: cover;
    background-position: center;
}



.calculator .n-container {
    position: relative;
    z-index: 2;
}

.calculator .title {
    color: var(--n-white);
    text-align: center;
}

.calculator .subtitle-medium {
    color: var(--d-grey);
    text-align: center;
    margin-bottom: 60px;
    margin-top: 12px;
}

.calculator .step .h3-small-semibold {
    color: var(--d-white);
    margin-bottom: 48px;
    text-align: center;
}


.calculator .step {
    max-width: 1280px;
    margin: 0 auto;
}

/* Step visibility and state classes */
.hidden {
    display: none !important;
}

.disabled {
    pointer-events: none;
    opacity: 0.5;
}


#complete-info {
    color: var(--light-blue);
    padding: 10px 16px 12px 16px;
    text-align: center;
    background: url(https://storage.googleapis.com/dev_resources_voka_io_303011/common/Frame%201597887581.webp) center center/cover no-repeat;
    position: fixed;
    bottom: 0;
    left: 0;
    width: 100%;
    display: block;
    z-index: 10;
}

#final-info {
    content: '';
    position: fixed;
    left: 0;
    width: 100%;
    background: linear-gradient(180deg, rgba(1, 11, 37, 0) 0%, #010B25 100%);
    padding-bottom: 40px;
    bottom: 0;
    z-index: 10;
    display: none;
}

#final-info .final-info {
    background: var(--bright-blue);
    padding: 14px 14px 14px 32px;
    display: flex;
    align-items: center;
    border-radius: 100px;
    margin: 0 auto;
    width: fit-content;
}

#final-info .final-info .content {
    display: flex;
    align-items: center;
}

#final-info .final-info .content .tooltip {
    position: relative;
    height: 20px;
}

#final-info .final-info .content .tooltip p {
    position: absolute;
    bottom: 35px;
    left: 50%;
    transform: translateX(-50%);
    width: 360px;
    padding: 16px;
    border-radius: 10px;
    background: var(--n-grey-BG);
    box-shadow: 0px 0px 12px 0px #08241D4D;
    color: var(--n-black);
    display: none;
}

#final-info .final-info .content .tooltip:hover p {
    display: block;
}

#final-info .final-info .content .tooltip p::after {
    content: '';
    display: block;
    position: absolute;
    bottom: -8px;
    left: 50%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    border-left: 8px solid transparent;
    border-right: 8px solid transparent;
    border-top: 8px solid var(--n-grey-BG);
}

#final-info .final-info .description-semibold {
    color: var(--n-very-light-accent);
    margin-left: 8px;
    margin-right: 16px;
}

#final-info .final-info .main-h3 {
    color: var(--d-white);
    margin-right: 60px;
}

#final-info .final-info .custom-button {
    padding: 12px 20px;
    border: none;
    outline: none;
    font-weight: 600;
}

.calculator .type-of-video,
.calculator .type-of-custom-animation,
.calculator .scope-of-refinement {
    position: relative;
    margin-top: 122px;

}

.calculator .type-of-video:after,
.calculator .type-of-custom-animation:after,
.calculator .scope-of-refinement:after {
    content: '';
    margin: 60px auto;
    display: block;
    width: 100%;
    border: 1px solid;
    border-image-source: linear-gradient(90deg, rgba(88, 166, 255, 0) 0%, #58A6FF 50%, rgba(88, 166, 255, 0) 100%);
    border-image-slice: 1;
    position: absolute;
    left: 0;
    top: -122px;
}

#leaving-popup {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 1000;
    display: none;
}

#leaving-popup .box {
    background: var(--d-dark-40);
    padding: 48px 40px;
    border-radius: 20px;
    text-align: center;
    position: relative;
    width: 600px;
}

#leaving-popup .box .close {
    position: absolute;
    top: 17px;
    right: 17px;
    cursor: pointer;
}

#leaving-popup .box .close g{
    transition: 0.3s;
}

#leaving-popup .box .content {
    text-align: center;
    color: var(--n-white);
}

#leaving-popup .box .content p:first-child {
    margin-bottom: 16px;
}

#leaving-popup .box .buttons {
    margin-top: 40px;
    display: flex;
    justify-content: center;
    gap: 12px;
}

#leaving-popup .box button:last-child {
    background: var(--d-dark-accent) !important;
}

@media (hover:hover){
    #leaving-popup .box button:last-child:hover {
        background: var(--n-very-dark-accent) !important;
    }

    #leaving-popup .box .close:hover g{
        opacity: 1;
    }
}

#leaving-popup .box button {
    border: none;
    font-size: 20px;
}


@media (max-width: 1919px) {
    .calculator {
        padding: 80px 0 100px;
    }

    .calculator .subtitle-medium {
        margin-bottom: 48px;
    }

    .calculator::before {
        width: 581px;
    }

    .calculator::after {
        width: 490px;
    }

    .calculator .step {
        max-width: 1240px;
    }

    #final-info .final-info {
        padding: 12px 12px 12px 24px;
    }

    .calculator .type-of-video,
    .calculator .type-of-custom-animation,
    .calculator .scope-of-refinement {
        position: relative;
        margin-top: 96px;

    }

    .calculator .type-of-video:after,
    .calculator .type-of-custom-animation:after,
    .calculator .scope-of-refinement:after {
        margin: 48px auto;
        top: -96px;
    }

    #leaving-popup .box {
        width: 480px;
        padding: 32px;
    }

    #leaving-popup .box .content p:first-child {
        margin-bottom: 14px;
    }

    #leaving-popup .box .buttons {
        margin-top: 32px;
    }
}

@media (max-width: 1439px) {
    .calculator {
        padding: 60px 0 80px;
    }

    .calculator::before {
        width: 465px;
    }

    .calculator::after {
        width: 367px;
    }

    .calculator .step {
        max-width: 1120px;
    }

    .calculator .step .h3-small-semibold {
        margin-bottom: 40px;
    }

    #final-info .final-info {
        padding: 10px 10px 10px 24px;
    }
}

@media (max-width: 1279px) {
    .calculator {
        padding: 80px 0;
    }

    .calculator .subtitle-medium {
        max-width: 557px;
        text-align: center;
        margin: 12px auto 48px auto;
    }

    #final-info .final-info {
        padding: 16px 40px;
        justify-content: space-between;
        width: 100%;
        border-radius: 16px;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }

    #final-info {
        padding-bottom: 0;
    }

    #final-info .final-info .content .tooltip p {
        transform: none;
        left: 0;
    }

    #final-info .final-info .content .tooltip p::after {
        left: 12px;
        bottom: -6px;
    }
}

@media (max-width: 577px) {
    .calculator {
        padding: 60px 0;
    }

    .calculator::before {
        width: 232px;
    }

    .calculator::after {
        width: 183px;
    }

    .calculator .step .h3-small-semibold {
        margin-bottom: 24px;
    }

    .calculator .title span {
        display: block;
    }

    #final-info .final-info .content .tooltip {
        display: none;
    }

    #final-info .final-info .content {
        flex-direction: column;
        gap: 2px;
        align-items: flex-start;
    }

    #final-info .final-info .description-semibold {
        margin: 0;
    }

    #final-info .final-info {
        padding: 12px 16px;
    }

    #final-info .final-info .main-h3 {
        margin: 0;
    }

    #leaving-popup {
        background: linear-gradient(180deg, #011648 0%, #010C25 100%);
        display: block;
    }

    #leaving-popup .box {
        width: 100%;
        background: transparent;
        margin-top: 140px;
    }

    #leaving-popup .box .content p:first-child {
        margin-bottom: 12px;
    }

    #leaving-popup .box .buttons {
        flex-direction: column;
    }

    #leaving-popup .box .close {
        position: fixed;
        top: 14px;
        right: 16px;
    }

    #leaving-popup .box button {
        font-size: 18px;
    }
}